FormComponentBeanInfo (install4j API)
Description: declaration: package: com.install4j.api.beaninfo, class: FormComponentBeanInfo

Package com.install4j.api.beaninfo

# Class FormComponentBeanInfo

java.lang.Object
java.beans.SimpleBeanInfo
com.install4j.api.beaninfo.Install4JBeanInfo
com.install4j.api.beaninfo.FormComponentBeanInfo

All Implemented Interfaces:
  `BeanInfo`

public class FormComponentBeanInfo extends Install4JBeanInfo
Base class for form component bean infos.

Using this class is not strictly required. In principle, you could also set values for the `ATTRIBUTE_*` constants in the bean descriptor of an unrelated bean info class.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ATTRIBUTE_DEFAULT_VISIBILITY_SCRIPT`
  `static final String`
  `ATTRIBUTE_HIDE_VISIBILITY_SCRIPT`

  ### Fields inherited from class com.install4j.api.beaninfo.Install4JBeanInfo

  `ATTRIBUTE_BEAN_CATEGORY, ATTRIBUTE_BEAN_INITIALIZER, ATTRIBUTE_BEAN_VALIDATOR, ATTRIBUTE_CATEGORY_SORT_ORDER, ATTRIBUTE_CATEGORY_SORT_ORDER_OTHER_AT_BOTTOM, ATTRIBUTE_COLLAPSED_PROPERTY_CATEGORIES, ATTRIBUTE_CUSTOMIZER_ICON, ATTRIBUTE_CUSTOMIZER_PLACEMENT, ATTRIBUTE_DEFAULT_CONDITION_EXPRESSION, ATTRIBUTE_DEFAULT_ROLLBACK_BARRIER, ATTRIBUTE_DEFAULT_ROLLBACK_BARRIER_EXIT_CODE, ATTRIBUTE_ENUMERATION_MAPPERS, ATTRIBUTE_ICON_16x16, ATTRIBUTE_ICON_24x24, ATTRIBUTE_INSTALLED_FILES_REQUIRED, ATTRIBUTE_MINIMUM_JAVA_VERSION, ATTRIBUTE_MULTIPLE_INSTANCES_SUPPORTED, ATTRIBUTE_NOTICE_PANEL, ATTRIBUTE_PERSISTENCE_DELEGATE_MAP, ATTRIBUTE_PROPERTY_CONVERTERS, ATTRIBUTE_REQUIRED_JPMS_MODULES, ATTRIBUTE_SEQUENCE_VALIDATOR, ATTRIBUTE_SORT_KEY`

  ### Fields inherited from interface java.beans.BeanInfo

  `ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, ICON_MONO_32x32`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FormComponentBeanInfo(String displayName, String shortDescription, String category, boolean multipleInstancesSupported, Integer sortKey, Class<? extends FormComponent> beanClass, Class customizerClass)`
  Same as `Install4JBeanInfo(String, String, String, boolean, boolean, Integer, Class, Class)` with `installedFilesRequired` set to `false`.
  `FormComponentBeanInfo(String displayName, String shortDescription, String category, Integer sortKey, Class<? extends FormComponent> beanClass)`
  Same as `FormComponentBeanInfo(String, String, String, Integer, Class, Class)` with a customizer class of `null`.
  `FormComponentBeanInfo(String displayName, String shortDescription, String category, Integer sortKey, Class<? extends FormComponent> beanClass, Class customizerClass)`
  Same as `Install4JBeanInfo(String, String, String, boolean, boolean, Integer, Class, Class)` with `multipleInstancesSupported` set to `true` and `installedFilesRequired` set to `false`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `setDefaultVisibilityScript(String defaultVisibilityScript)`
  Configures the default value for the "Visibility script" property of the form component.
  `void`
  `setHideVisibilityScript(boolean hideVisibilityScript)`
  Configures if the visibility script should be hidden in the install4j IDE.

  ### Methods inherited from class com.install4j.api.beaninfo.Install4JBeanInfo

  `addPropertyDescriptor, checkNotEmpty, checkNotEmpty, findPropertyDescriptor, getBeanClass, getBeanDescriptor, getPropertyDescriptors, getPropertyValue, getPropertyValue, isEmpty, setBeanInitializer, setBeanValidator, setCategorySortOrder, setCategorySortOrderOtherAtBottom, setCollapsedPropertyCategories, setCustomizerIcon, setCustomizerPlacement, setDefaultConditionExpression, setDefaultRollbackBarrier, setDefaultRollbackBarrierExitCode, setEnumerationMappers, setIcons, setMinimumJavaVersion, setNoticePanel, setPersistenceDelegateMap, setPropertyConverters, setRequiredJpmsModules, setSequenceValidator`

  ### Methods inherited from class java.beans.SimpleBeanInfo

  `getAdditionalBeanInfo, getDefaultEventIndex, getDefaultPropertyIndex, getEventSetDescriptors, getIcon, getMethodDescriptors, loadImage`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ATTRIBUTE_DEFAULT_VISIBILITY_SCRIPT

    public static final String ATTRIBUTE_DEFAULT_VISIBILITY_SCRIPT
    See Also:
      - `setDefaultVisibilityScript(String)`
      - Constant Field Values

  - ### ATTRIBUTE_HIDE_VISIBILITY_SCRIPT

    public static final String ATTRIBUTE_HIDE_VISIBILITY_SCRIPT
    See Also:
      - `setHideVisibilityScript(boolean)`
      - Constant Field Values

- ## Constructor Details

  - ### FormComponentBeanInfo

    public FormComponentBeanInfo(String displayName, String shortDescription, String category, Integer sortKey, Class<? extends FormComponent> beanClass, Class customizerClass)
    Same as `Install4JBeanInfo(String, String, String, boolean, boolean, Integer, Class, Class)` with `multipleInstancesSupported` set to `true` and `installedFilesRequired` set to `false`.

  - ### FormComponentBeanInfo

    public FormComponentBeanInfo(String displayName, String shortDescription, String category, boolean multipleInstancesSupported, Integer sortKey, Class<? extends FormComponent> beanClass, Class customizerClass)
    Same as `Install4JBeanInfo(String, String, String, boolean, boolean, Integer, Class, Class)` with `installedFilesRequired` set to `false`.

  - ### FormComponentBeanInfo

    public FormComponentBeanInfo(String displayName, String shortDescription, String category, Integer sortKey, Class<? extends FormComponent> beanClass)
    Same as `FormComponentBeanInfo(String, String, String, Integer, Class, Class)` with a customizer class of `null`.

- ## Method Details

  - ### setDefaultVisibilityScript

    public void setDefaultVisibilityScript(String defaultVisibilityScript)
    Configures the default value for the "Visibility script" property of the form component.
    Parameters:
      `defaultVisibilityScript` - the default value
    See Also:
      - `ATTRIBUTE_DEFAULT_VISIBILITY_SCRIPT`

  - ### setHideVisibilityScript

    public void setHideVisibilityScript(boolean hideVisibilityScript)
    Configures if the visibility script should be hidden in the install4j IDE. This is useful for form components that manage visibility on their own.
    Parameters:
      `hideVisibilityScript` - if the visibility script should be hidden
    See Also:
      - `ATTRIBUTE_HIDE_VISIBILITY_SCRIPT`